<?php
$tdatacat_niveldependencia = array();
$tdatacat_niveldependencia[".searchableFields"] = array();
$tdatacat_niveldependencia[".ShortName"] = "cat_niveldependencia";
$tdatacat_niveldependencia[".OwnerID"] = "";
$tdatacat_niveldependencia[".OriginalTable"] = "cat_niveldependencia";


$tdatacat_niveldependencia[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatacat_niveldependencia[".originalPagesByType"] = $tdatacat_niveldependencia[".pagesByType"];
$tdatacat_niveldependencia[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatacat_niveldependencia[".originalPages"] = $tdatacat_niveldependencia[".pages"];
$tdatacat_niveldependencia[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatacat_niveldependencia[".originalDefaultPages"] = $tdatacat_niveldependencia[".defaultPages"];

//	field labels
$fieldLabelscat_niveldependencia = array();
$fieldToolTipscat_niveldependencia = array();
$pageTitlescat_niveldependencia = array();
$placeHolderscat_niveldependencia = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelscat_niveldependencia["Spanish"] = array();
	$fieldToolTipscat_niveldependencia["Spanish"] = array();
	$placeHolderscat_niveldependencia["Spanish"] = array();
	$pageTitlescat_niveldependencia["Spanish"] = array();
	$fieldLabelscat_niveldependencia["Spanish"]["id"] = "Id";
	$fieldToolTipscat_niveldependencia["Spanish"]["id"] = "";
	$placeHolderscat_niveldependencia["Spanish"]["id"] = "";
	$fieldLabelscat_niveldependencia["Spanish"]["nivel_dependencia"] = "Nivel Dependencia";
	$fieldToolTipscat_niveldependencia["Spanish"]["nivel_dependencia"] = "";
	$placeHolderscat_niveldependencia["Spanish"]["nivel_dependencia"] = "";
	if (count($fieldToolTipscat_niveldependencia["Spanish"]))
		$tdatacat_niveldependencia[".isUseToolTips"] = true;
}


	$tdatacat_niveldependencia[".NCSearch"] = true;



$tdatacat_niveldependencia[".shortTableName"] = "cat_niveldependencia";
$tdatacat_niveldependencia[".nSecOptions"] = 0;

$tdatacat_niveldependencia[".mainTableOwnerID"] = "";
$tdatacat_niveldependencia[".entityType"] = 0;
$tdatacat_niveldependencia[".connId"] = "omega2_at_localhost";


$tdatacat_niveldependencia[".strOriginalTableName"] = "cat_niveldependencia";

	



$tdatacat_niveldependencia[".showAddInPopup"] = false;

$tdatacat_niveldependencia[".showEditInPopup"] = false;

$tdatacat_niveldependencia[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatacat_niveldependencia[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatacat_niveldependencia[".listAjax"] = false;
//	temporary
$tdatacat_niveldependencia[".listAjax"] = false;

	$tdatacat_niveldependencia[".audit"] = false;

	$tdatacat_niveldependencia[".locking"] = false;


$pages = $tdatacat_niveldependencia[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatacat_niveldependencia[".edit"] = true;
	$tdatacat_niveldependencia[".afterEditAction"] = 0;
	$tdatacat_niveldependencia[".closePopupAfterEdit"] = 1;
	$tdatacat_niveldependencia[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatacat_niveldependencia[".add"] = true;
$tdatacat_niveldependencia[".afterAddAction"] = 1;
$tdatacat_niveldependencia[".closePopupAfterAdd"] = 1;
$tdatacat_niveldependencia[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatacat_niveldependencia[".list"] = true;
}



$tdatacat_niveldependencia[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatacat_niveldependencia[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatacat_niveldependencia[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatacat_niveldependencia[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatacat_niveldependencia[".printFriendly"] = true;
}



$tdatacat_niveldependencia[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatacat_niveldependencia[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatacat_niveldependencia[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatacat_niveldependencia[".isUseAjaxSuggest"] = true;

$tdatacat_niveldependencia[".rowHighlite"] = true;





$tdatacat_niveldependencia[".ajaxCodeSnippetAdded"] = false;

$tdatacat_niveldependencia[".buttonsAdded"] = false;

$tdatacat_niveldependencia[".addPageEvents"] = false;

// use timepicker for search panel
$tdatacat_niveldependencia[".isUseTimeForSearch"] = false;


$tdatacat_niveldependencia[".badgeColor"] = "778899";


$tdatacat_niveldependencia[".allSearchFields"] = array();
$tdatacat_niveldependencia[".filterFields"] = array();
$tdatacat_niveldependencia[".requiredSearchFields"] = array();

$tdatacat_niveldependencia[".googleLikeFields"] = array();
$tdatacat_niveldependencia[".googleLikeFields"][] = "id";
$tdatacat_niveldependencia[".googleLikeFields"][] = "nivel_dependencia";



$tdatacat_niveldependencia[".tableType"] = "list";

$tdatacat_niveldependencia[".printerPageOrientation"] = 0;
$tdatacat_niveldependencia[".nPrinterPageScale"] = 100;

$tdatacat_niveldependencia[".nPrinterSplitRecords"] = 40;

$tdatacat_niveldependencia[".geocodingEnabled"] = false;










$tdatacat_niveldependencia[".pageSize"] = 20;

$tdatacat_niveldependencia[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatacat_niveldependencia[".strOrderBy"] = $tstrOrderBy;

$tdatacat_niveldependencia[".orderindexes"] = array();


$tdatacat_niveldependencia[".sqlHead"] = "SELECT id,  	nivel_dependencia";
$tdatacat_niveldependencia[".sqlFrom"] = "FROM cat_niveldependencia";
$tdatacat_niveldependencia[".sqlWhereExpr"] = "";
$tdatacat_niveldependencia[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatacat_niveldependencia[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatacat_niveldependencia[".arrGroupsPerPage"] = $arrGPP;

$tdatacat_niveldependencia[".highlightSearchResults"] = true;

$tableKeyscat_niveldependencia = array();
$tableKeyscat_niveldependencia[] = "id";
$tdatacat_niveldependencia[".Keys"] = $tableKeyscat_niveldependencia;


$tdatacat_niveldependencia[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "cat_niveldependencia";
	$fdata["Label"] = GetFieldLabel("cat_niveldependencia","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacat_niveldependencia["id"] = $fdata;
		$tdatacat_niveldependencia[".searchableFields"][] = "id";
//	nivel_dependencia
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "nivel_dependencia";
	$fdata["GoodName"] = "nivel_dependencia";
	$fdata["ownerTable"] = "cat_niveldependencia";
	$fdata["Label"] = GetFieldLabel("cat_niveldependencia","nivel_dependencia");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "nivel_dependencia";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "nivel_dependencia";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacat_niveldependencia["nivel_dependencia"] = $fdata;
		$tdatacat_niveldependencia[".searchableFields"][] = "nivel_dependencia";


$tables_data["cat_niveldependencia"]=&$tdatacat_niveldependencia;
$field_labels["cat_niveldependencia"] = &$fieldLabelscat_niveldependencia;
$fieldToolTips["cat_niveldependencia"] = &$fieldToolTipscat_niveldependencia;
$placeHolders["cat_niveldependencia"] = &$placeHolderscat_niveldependencia;
$page_titles["cat_niveldependencia"] = &$pageTitlescat_niveldependencia;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["cat_niveldependencia"] = array();
//	dependencias
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="dependencias";
		$detailsParam["dOriginalTable"] = "dependencias";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "dependencias";
	$detailsParam["dCaptionTable"] = GetTableCaption("dependencias");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["cat_niveldependencia"][$dIndex] = $detailsParam;

	
		$detailsTablesData["cat_niveldependencia"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["cat_niveldependencia"][$dIndex]["masterKeys"][]="id";

				$detailsTablesData["cat_niveldependencia"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["cat_niveldependencia"][$dIndex]["detailKeys"][]="nivel";

// tables which are master tables for current table (detail)
$masterTablesData["cat_niveldependencia"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_cat_niveldependencia()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	nivel_dependencia";
$proto0["m_strFrom"] = "FROM cat_niveldependencia";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "cat_niveldependencia",
	"m_srcTableName" => "cat_niveldependencia"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "cat_niveldependencia";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "nivel_dependencia",
	"m_strTable" => "cat_niveldependencia",
	"m_srcTableName" => "cat_niveldependencia"
));

$proto8["m_sql"] = "nivel_dependencia";
$proto8["m_srcTableName"] = "cat_niveldependencia";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto10=array();
$proto10["m_link"] = "SQLL_MAIN";
			$proto11=array();
$proto11["m_strName"] = "cat_niveldependencia";
$proto11["m_srcTableName"] = "cat_niveldependencia";
$proto11["m_columns"] = array();
$proto11["m_columns"][] = "id";
$proto11["m_columns"][] = "nivel_dependencia";
$obj = new SQLTable($proto11);

$proto10["m_table"] = $obj;
$proto10["m_sql"] = "cat_niveldependencia";
$proto10["m_alias"] = "";
$proto10["m_srcTableName"] = "cat_niveldependencia";
$proto12=array();
$proto12["m_sql"] = "";
$proto12["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto12["m_column"]=$obj;
$proto12["m_contained"] = array();
$proto12["m_strCase"] = "";
$proto12["m_havingmode"] = false;
$proto12["m_inBrackets"] = false;
$proto12["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto12);

$proto10["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto10);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="cat_niveldependencia";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_cat_niveldependencia = createSqlQuery_cat_niveldependencia();


	
		;

		

$tdatacat_niveldependencia[".sqlquery"] = $queryData_cat_niveldependencia;



$tableEvents["cat_niveldependencia"] = new eventsBase;
$tdatacat_niveldependencia[".hasEvents"] = false;

?>